/* open dyslexic font used in the accessible font mode downloaded from https://opendyslexic.org/ */
@font-face{
    font-family: "OpenDyslexic";
    src: url(fonts/OpenDyslexic-Regular.otf) format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face{
    font-family: "OpenDyslexic";
    src: url(fonts/OpenDyslexic-Bold.otf) format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face{
    font-family: "OpenDyslexic";
    src: url(fonts/OpenDyslexic-Italic.otf) format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face{
    font-family: "OpenDyslexic";
    src: url(fonts/OpenDyslexic-BoldItalic.otf) format('opentype');
    font-weight: normal;
    font-style: normal;
}
/* this code for the :root has been adapted from the following tutorials https://www.w3schools.com/css/css3_variables.asp  https://www.w3schools.com/cssref/sel_root.php */ 
:root{ /* defines the default visual state when no accessibility features are toggled on  */
    --base-color: #D3D3D3;
    --text-color: black;
    --nav-text-color: black;
    --guidelines-text-color: black;
    --guidelines-heading-text-color: black;
    --link-color: #005fcc;
    --link-hover-color: #003f8a;
    --footer-link-color: #FF92A5;
    --footer-link-hover-color: #fff;
    --nav-hover-text-color: white;
    --nav-color: #90D5FF;
    --guidelines-box-color: #A0AFB1;
    --switch-text-color: black;
    --base-font: Arial, Helvetica, sans-serif;
    --footer-background-color: #040273; 
    --footer-text-color: #fff;
} 

.high-contrast-mode{ /* defines the high contrast visual state that is applied when high contrast mode is toggled on  */
    --base-color: black;
    --text-color: #fff;
    --nav-text-color: black;
    --guidelines-text-color: black;
    --guidelines-heading-text-color: #fff;
    --link-color: #FFD700;
    --link-hover-color: #ffffff;
    --footer-link-color: #111;
    --footer-link-hover-color: #040273;
    --nav-hover-text-color: #fff;
    --nav-color: #EFBF04;
    --guidelines-box-color: #fff;
    --footer-background-color: #fff; 
    --footer-text-color: #111;

}

a {
    color: var(--link-color) /* styles anchor links using the link-color variable which can be dynamically updated depending on if high contrast mode is toggled on */
}

a:hover{
    color: var(--link-hover-color) /* styles anchor links on hover using the link-hover-color variable which can be dynamically updated depending on if high contrast mode is toggled on */
}
 
.accessible-font-mode{  /* defines the font that will be used when accessible font mode is toggled on */
    --base-font: "OpenDyslexic", Arial, sans-serif;
}

.accessibility-button img{ /* styles the accessibility icon that is used to open the feature customisation widget */
    height: 50px;
    width: 50px;
    transition: ease-in-out 0.2s;
}

.accessibility-button img:hover{
    transform: scale(1.4);
}

.accessibility-button{
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 9999;
}

.inaccessible-website-examples-container{
    display: flex;
    justify-content: center;
    gap: 40px;
    flex-wrap: wrap
}

.inaccessible-website-image-container{
    width: 560px;
    height: 315px;
    text-align: center;
}


.inaccessible-website-image-container img:hover{
 transform: scale(1.05);
}
.inaccessible-website-image-container img{
    width: 100%;
    height: 100%;
    border: 2px solid #FF92A5;
    border-radius: 5px;
    transition: ease-in-out 0.2s;
    margin-bottom: 10px;
}

#Examples-Inaccessible-Websites{
padding: 200px;
}

@media(max-width: 768px) {
    .inaccessible-website-image-container img{
        height: 180px;
    }

    #Examples-Inaccessible-Websites{
        padding: 10px;
        margin-bottom: 90px;
    }
}




/* disables all animations when the disable animation toggle is turned on The universal seelctor targets all elements on the website with the ::before and ::after ensuring animation is disabled on any pseudo-elemments. !important is used to override any conflicting styles*/
.disable-animations *,
.disable-animations *::before,
.disable-animations *::after {
    animation: none !important;
    transition: none !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
}

.disable-animations *:hover{
    transform: none !important; /* disables mouse hover effects when the animation toggle is turned on */
}


.iframe-container{
    display: flex;
    justify-content: center;
}

iframe{
    border: 2px solid #FF92A5;
    border-radius: 5px;
    padding: 5px;
    transition: ease-in-out 0.2s
}

iframe:hover{
    transform: scale(1.05);
}

.tutorial-h1{
    font-family: var(--base-font);
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    color: var(--guidelines-heading-text-color);
}

.examples-h1{
    font-family: var(--base-font);
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    color: var(--guidelines-heading-text-color);
}

body {
    background-color: var(--base-color);
    font-family: var(--base-font);
}

html {
    scroll-behavior: smooth;
}

.nav-link{
    color: var(--nav-text-color);
    margin: 30px;
    font-size: 22px;
}

.nav-link:hover{
    color: var(--nav-hover-text-color);
    opacity: 80%;
    text-decoration: none;
}

.navbar-color{
    background-color: var(--nav-color);
}

.navbar-brand{
 font-family: var(--base-font);
 font-size: 20px;
}

.navbar-toggler {
  margin-left: auto;
}

.guidelines-h1-Mobile{ 
    font-family: var(--base-font);
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    color: var(--guidelines-heading-text-color);
}

.guidelines-h1-Desktop{
    font-family: var(--base-font);
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    color: var(--guidelines-heading-text-color);
}

.Guidelines-List-Mobile ol li{
    margin: 10px 0;
    text-align: left;
}

.Guidelines-List-Mobile ol li span{
    color: var(--guidelines-text-color);
    text-align: left;
}

.Guidelines-List-Mobile ol{
    font-size: 18px;
    text-align: left;
    list-style: disc outside;
    list-style-type: decimal;
    margin: 0 auto;
    background-color: var(--guidelines-box-color);
    height: auto;
    padding: 10px 40px;
    min-width: unset;
    width: 100%;
    border-radius: 20px;
    transition: 0.2s ease-in-out;
    transform: scale(1);
}



.Guidelines-List-Mobile ol:hover{
transform: scale(1.05);
opacity: 80%;
}

.Guidelines-List-Mobile{
  flex: 1 1 45%;
   max-width: 1200px;
}

.Guidelines-Box-Title{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.Guidelines-List-Desktop ol{
   font-size: 18px;
    text-align: left;
    list-style: disc outside;
    list-style-type: decimal;
    margin: 0 auto;
    background-color: var(--guidelines-box-color);
    height: auto;
    padding: 10px 40px;
    min-width: unset;
    width: 100%;
    border-radius: 20px;
    transition: 0.2s ease-in-out;
    transform: scale(1);
}

.Guidelines-List-Desktop ol li{
    margin: 10px 0;
    text-align: left;
}

.Guidelines-List-Desktop ol li span{
    color: var(--guidelines-text-color);
    text-align: center;
}


.Guidelines-List-Desktop{
  flex: 1 1 45%;
  max-width: 1200px;
}

.Guidelines-List-Desktop ol:hover{
transform: scale(1.05);
opacity: 80%;
}

.Guidelines-Wrapper{
display: flex;
flex-wrap: wrap;
flex-direction: column;
justify-content: center;
align-items: center;
gap: 20px; 
padding: 20px 60px;
}

.switch{
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input{
    opacity: 0;
    width: 0;
    height: 0;
}

.slider{
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #3b3b3b;
    -webkit-transition: .3s;
    transition: .3s;
}

.slider:before{
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: green;
    -webkit-transition: .3s;
    transition: .3s;
}

input:checked + .slider {
background-color: #EFBF04;
}

input:focus + .slider{
    box-shadow: 0 0 1px #EFBF04;
}

input:checked + .slider:before{
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

.slider.round{
    border-radius: 34px;
}

.slider.round:before{
    border-radius: 50%;
}

.switch-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    gap: 0px;
}

p {
    color: var(--text-color);
}

#switch-text-contrast{
    font-family: var(--base-font);
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    color: var(--switch-text-color);
}

#switch-text-font{
    font-family: var(--base-font);
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    color: var(--switch-text-color);
}

#switch-text-language{
    font-family: var(--base-font);
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    color: var(--switch-text-color);
}



#switch-text-animations{
    font-family: var(--base-font);
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    color: var(--switch-text-color);
}

.footer-container{
    background-color: var(--footer-background-color);
    margin-top: 200px; 
    padding-top: 10px; 
    padding-bottom: 10px;
    min-height: 100px;

}

.footer-text{
    color: var(--footer-text-color);
    font-family: var(--base-font);
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.footer-link{
    color: var(--footer-link-color);
}

.footer-link:hover{
    color: var(--footer-link-hover-color);
}

